Loading...
Searching...
No Matches
casacore::VirtScaCol_global_functions_get_putVirtualScalar Struct Reference
tables package (libcasa_tables) » DataMan_module

Global functions to get or put data of a virtual column. More...

`#include <VirtScaCol.h>`

## Public Member Functions

template<class T>
void | getVirtualScalar (VirtualScalarColumn< T > *col, uInt rownr, T *dataPtr)
void | getVirtualScalar (DataManagerColumn *col, uInt, void *)
template<class T>
void | putVirtualScalar (VirtualScalarColumn< T > *col, uInt rownr, const T *dataPtr)
void | putVirtualScalar (DataManagerColumn *col, uInt, const void *)

## Detailed Description

Global functions to get or put data of a virtual column.

### Synopsis

Definition at line 254 of file VirtScaCol.h.

## Member Function Documentation

## getVirtualScalar() [1/2]

void casacore::VirtScaCol_global_functions_get_putVirtualScalar::getVirtualScalar | ( | DataManagerColumn * | col,
|  | uInt | ,
|  | void * | )

inline

Definition at line 259 of file VirtScaCol.h.

References casacore::DataManagerColumn::throwGet().

## getVirtualScalar() [2/2]

template<class T>

void casacore::VirtScaCol_global_functions_get_putVirtualScalar::getVirtualScalar | ( | VirtualScalarColumn< T > * | col,
|  | uInt | rownr,
|  | T * | dataPtr )

inline

Definition at line 256 of file VirtScaCol.h.

References casacore::VirtualScalarColumn< T >::get().

## putVirtualScalar() [1/2]

void casacore::VirtScaCol_global_functions_get_putVirtualScalar::putVirtualScalar | ( | DataManagerColumn * | col,
|  | uInt | ,
|  | const void * | )

inline

Definition at line 266 of file VirtScaCol.h.

References casacore::DataManagerColumn::throwPut().

## putVirtualScalar() [2/2]

template<class T>

void casacore::VirtScaCol_global_functions_get_putVirtualScalar::putVirtualScalar | ( | VirtualScalarColumn< T > * | col,
|  | uInt | rownr,
|  | const T * | dataPtr )

inline

Definition at line 263 of file VirtScaCol.h.

References casacore::VirtualScalarColumn< T >::put().

The documentation for this struct was generated from the following file:

- tables/DataMan/VirtScaCol.h